package com.ecep.contract.cloud.u8.ctx;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.ds.company.model.Company;
import com.ecep.contract.ds.company.service.CompanyBankAccountService;
import com.ecep.contract.util.BeanContext;

public class CompanyBankAccountCtx extends AbstractYongYouU8Ctx {

    public CompanyBankAccountCtx() {
        super();
    }

    public CompanyBankAccountCtx(BeanContext ctx) {
        super(ctx);
    }

    CompanyBankAccountService getCompanyBankAccountService() {
        return getCachedBean(CompanyBankAccountService.class);
    }

    public void updateBankAccount(Company company, String bank, String bankAccount, MessageHolder holder) {
        getCompanyBankAccountService().updateBankAccount(company, bank, bankAccount, holder);
    }
}
